Welcome, Guest
Username: Password: Remember me
08 Apr 2018
INDI development team is happy to announce the release of INDI Library v1.7.0. This new exciting release builds on the maturity of INDI Library and comes with many new supported devices and fixes for existing drivers.
Read More...
  • Page:
  • 1

TOPIC: git build gphoto

git build gphoto 1 week 4 days ago #27224

  • alacant
  • alacant's Avatar Topic Author
  • Offline
  • Senior Boarder
  • Senior Boarder
  • Posts: 43
  • Thank you received: 0
Hi everyone
I've just built indilib on Ubuntu 18.04 to test the new indi-eqmod.
I built indi-eqmod fine and indi asi which I also need for my zwo guide camera.
I also need indi-gphoto for my canon dslr. The version from the ppa is still in place
Question:
Must I build all the modules I need against the new indilib or will the ones from the ppa still work?
If not, could someone take me through where I can get the build dependencies?:
Requirtments
============

+ libindi0 >= v0.6 ( indi.sf.net )

You need to install both libindi0 and libindi0-devel to build this package.

+ libcfitsio >= 3.0

libcfitsio3 is required to compile support for FITS.

+ libgphoto2 >= 2.4 (>=2.4.7 is needed for bulb-mode supprot)

libgphoto2 is required

+ libgphoto2 >= 2.5 (for CANON 600D bulb-mode support) (Nacho Mas dirty hack)

+ libpthread
libpthread is required

TIA and cheers

Please Log in or Create an account to join the conversation.

  • Page:
  • 1
Time to create page: 0.082 seconds

Login

3rd Party

Choose from the numerous 3rd party INDI drivers to suit your needs!

Got Problem?

Check out the FAQ, the forum, and the bug tracking system to resolve any issues you might have!
You can also subscribe to INDI newsletter and development mailing lists to get the latest updates on INDI!


Gallery

Replica

Why INDI

Replica